import os
import logging
import psycopg2
import botocore
import boto3
import json

##session = boto3.session.Session()
client = boto3.client('secretsmanager')
secret = client.get_secret_value(
         SecretId='externaldemocred' )
secret_dict = json.loads(secret['SecretString'])

username = secret_dict['username']
passw = secret_dict['password']
print(username)


def lambda_handler(event, context):
    print(event)
    records = [x for x in event.get('Records', [])]
  ##  if x.get('eventName') == 'ObjectCreated:Put'
    sorted_events = sorted(records, key=lambda e: e.get('eventTime'))
    latest_event = sorted_events[-1] if sorted_events else {}
    info = latest_event.get('s3', {})
    file_key = info.get('object', {}).get('key')
    bucket_name = info.get('bucket', {}).get('name')
    ##file_key = 'sft.bad'
    print(file_key)
    ##s3 = boto3.resource('s3')

    conn = psycopg2.connect(host="endpoint", dbname="postgres", user=username, password=passw)
    ##conn =  make_conn()

    print(conn.status)
    curs = conn.cursor()
    response = curs.callproc("load_external_tables", [file_key])
    print(response)
    result = curs.fetchall()
    ##for row in result:
    ##output = row[0]
    print(result)
    print("test")
    conn.commit()
    curs.close()
    conn.close()
    print("Success")

    client = boto3.client('sns')
    if result:
       client.publish(TopicArn='arn:aws:sns:us-east-1:448370034657:datapipeline',Message='fileloadsuccess',Subject='fileloadsuccess')
    else:
        client.publish(TopicArn='arn:aws:sns:us-east-1:448370034657:datapipeline',Message='fileloadfail',Subject='fileloadfail')
